// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 51;
	objects = {

/* Begin PBXBuildFile section */
		4C92D3EC6482E34A287D1D60 /* Pods_Pattern.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = C9A83E24B5EB6CE8EC0590F3 /* Pods_Pattern.framework */; };
		5B259806247C48020051E2E4 /* BookInOneClickCommand.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5B259805247C48020051E2E4 /* BookInOneClickCommand.swift */; };
		5B25980B247C537C0051E2E4 /* BookObserver.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5B25980A247C537C0051E2E4 /* BookObserver.swift */; };
		5B53BEA1247ABAE3000C1B9A /* MembershipModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5B53BEA0247ABAE3000C1B9A /* MembershipModel.swift */; };
		5B77406B246DC2D20080F076 /* ImageFilterFacade.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5B77406A246DC2D20080F076 /* ImageFilterFacade.swift */; };
		5B77406E246DC2E90080F076 /* Availability.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5B77406C246DC2E90080F076 /* Availability.swift */; };
		5B77406F246DC2E90080F076 /* WorkoutBooker.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5B77406D246DC2E90080F076 /* WorkoutBooker.swift */; };
		5B774071246DCBCC0080F076 /* ImageDecorator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5B774070246DCBCC0080F076 /* ImageDecorator.swift */; };
		5B900A49246DD6DC00B7238A /* Composite.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5B900A48246DD6DC00B7238A /* Composite.swift */; };
		5B900A4C246DDCA300B7238A /* PersonalProgramViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5B900A4B246DDCA300B7238A /* PersonalProgramViewController.swift */; };
		5B900A4E246DDE3000B7238A /* ScheduleItemTableViewCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = 5B900A4D246DDE3000B7238A /* ScheduleItemTableViewCell.xib */; };
		5B900A50246DDE9000B7238A /* ScheduleItemTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5B900A4F246DDE9000B7238A /* ScheduleItemTableViewCell.swift */; };
		5B900A52246DE56F00B7238A /* PersonalProgramTableViewCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = 5B900A51246DE56F00B7238A /* PersonalProgramTableViewCell.xib */; };
		5B900A54246DE61400B7238A /* PersonalProgramTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5B900A53246DE61400B7238A /* PersonalProgramTableViewCell.swift */; };
		5BCA3C29246C5BF100BAD343 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5BCA3C28246C5BF100BAD343 /* AppDelegate.swift */; };
		5BCA3C2B246C5BF100BAD343 /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5BCA3C2A246C5BF100BAD343 /* SceneDelegate.swift */; };
		5BCA3C2D246C5BF100BAD343 /* ScheduleViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5BCA3C2C246C5BF100BAD343 /* ScheduleViewController.swift */; };
		5BCA3C30246C5BF100BAD343 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 5BCA3C2E246C5BF100BAD343 /* Main.storyboard */; };
		5BCA3C32246C5BF500BAD343 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 5BCA3C31246C5BF500BAD343 /* Assets.xcassets */; };
		5BCA3C35246C5BF500BAD343 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 5BCA3C33246C5BF500BAD343 /* LaunchScreen.storyboard */; };
		5BCA3C3D246C600A00BAD343 /* Server.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5BCA3C3C246C600A00BAD343 /* Server.swift */; };
		5BCA3C3F246C640300BAD343 /* ScheduleModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5BCA3C3E246C640300BAD343 /* ScheduleModel.swift */; };
		5BCA3C41246C66F000BAD343 /* CoachSchedule.json in Sources */ = {isa = PBXBuildFile; fileRef = 5BCA3C40246C66F000BAD343 /* CoachSchedule.json */; };
		5BCA3C46246C6C7A00BAD343 /* TraineeSchedule.json in Resources */ = {isa = PBXBuildFile; fileRef = 5BCA3C45246C6C7A00BAD343 /* TraineeSchedule.json */; };
		5BCA3C49246C6EEE00BAD343 /* AbstractFactory.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5BCA3C48246C6EEE00BAD343 /* AbstractFactory.swift */; };
		5BCA3C4B246C714F00BAD343 /* ScheduleFactory.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5BCA3C4A246C714F00BAD343 /* ScheduleFactory.swift */; };
		5BCA3C4C246C742500BAD343 /* CoachSchedule.json in Resources */ = {isa = PBXBuildFile; fileRef = 5BCA3C40246C66F000BAD343 /* CoachSchedule.json */; };
		5BCA3C4E246C765E00BAD343 /* ActivityModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5BCA3C4D246C765E00BAD343 /* ActivityModel.swift */; };
		5BCA3C50246C7B8600BAD343 /* PersonalProgramBuilder.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5BCA3C4F246C7B8600BAD343 /* PersonalProgramBuilder.swift */; };
		5BCA3C57246C7DE300BAD343 /* PersonalProgramDirector.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5BCA3C56246C7DE300BAD343 /* PersonalProgramDirector.swift */; };
		5BCA3C59246C81C600BAD343 /* SimplePersonalProgram.json in Resources */ = {isa = PBXBuildFile; fileRef = 5BCA3C58246C81C600BAD343 /* SimplePersonalProgram.json */; };
		5BCA3C5D246C820700BAD343 /* FullPersonalProgram.json in Resources */ = {isa = PBXBuildFile; fileRef = 5BCA3C5C246C820700BAD343 /* FullPersonalProgram.json */; };
		5BCEF018247A96E500D6923C /* ThirdPersonalProgram.json in Resources */ = {isa = PBXBuildFile; fileRef = 5BCEF017247A96E500D6923C /* ThirdPersonalProgram.json */; };
		5BCEF01B247AA03900D6923C /* PPMemento.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5BCEF01A247AA03900D6923C /* PPMemento.swift */; };
		5BCEF01D247AB70000D6923C /* MembershipViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5BCEF01C247AB70000D6923C /* MembershipViewController.swift */; };
		5BCEF01F247ABA2D00D6923C /* AddStrategy.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5BCEF01E247ABA2D00D6923C /* AddStrategy.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		223E85222BBB4DF2C768BB1C /* Pods-Pattern.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Pattern.release.xcconfig"; path = "Target Support Files/Pods-Pattern/Pods-Pattern.release.xcconfig"; sourceTree = "<group>"; };
		3E0B250ACEB1452152DF54E4 /* Pods-Pattern.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Pattern.debug.xcconfig"; path = "Target Support Files/Pods-Pattern/Pods-Pattern.debug.xcconfig"; sourceTree = "<group>"; };
		5B259805247C48020051E2E4 /* BookInOneClickCommand.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BookInOneClickCommand.swift; sourceTree = "<group>"; };
		5B25980A247C537C0051E2E4 /* BookObserver.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BookObserver.swift; sourceTree = "<group>"; };
		5B53BEA0247ABAE3000C1B9A /* MembershipModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MembershipModel.swift; sourceTree = "<group>"; };
		5B77406A246DC2D20080F076 /* ImageFilterFacade.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ImageFilterFacade.swift; sourceTree = "<group>"; };
		5B77406C246DC2E90080F076 /* Availability.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Availability.swift; sourceTree = "<group>"; };
		5B77406D246DC2E90080F076 /* WorkoutBooker.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = WorkoutBooker.swift; sourceTree = "<group>"; };
		5B774070246DCBCC0080F076 /* ImageDecorator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ImageDecorator.swift; sourceTree = "<group>"; };
		5B900A48246DD6DC00B7238A /* Composite.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Composite.swift; sourceTree = "<group>"; };
		5B900A4B246DDCA300B7238A /* PersonalProgramViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PersonalProgramViewController.swift; sourceTree = "<group>"; };
		5B900A4D246DDE3000B7238A /* ScheduleItemTableViewCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = ScheduleItemTableViewCell.xib; sourceTree = "<group>"; };
		5B900A4F246DDE9000B7238A /* ScheduleItemTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ScheduleItemTableViewCell.swift; sourceTree = "<group>"; };
		5B900A51246DE56F00B7238A /* PersonalProgramTableViewCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = PersonalProgramTableViewCell.xib; sourceTree = "<group>"; };
		5B900A53246DE61400B7238A /* PersonalProgramTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PersonalProgramTableViewCell.swift; sourceTree = "<group>"; };
		5BCA3C25246C5BF100BAD343 /* Pattern.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = Pattern.app; sourceTree = BUILT_PRODUCTS_DIR; };
		5BCA3C28246C5BF100BAD343 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		5BCA3C2A246C5BF100BAD343 /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		5BCA3C2C246C5BF100BAD343 /* ScheduleViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ScheduleViewController.swift; sourceTree = "<group>"; };
		5BCA3C2F246C5BF100BAD343 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		5BCA3C31246C5BF500BAD343 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		5BCA3C34246C5BF500BAD343 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		5BCA3C36246C5BF500BAD343 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		5BCA3C3C246C600A00BAD343 /* Server.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Server.swift; sourceTree = "<group>"; };
		5BCA3C3E246C640300BAD343 /* ScheduleModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ScheduleModel.swift; sourceTree = "<group>"; };
		5BCA3C40246C66F000BAD343 /* CoachSchedule.json */ = {isa = PBXFileReference; lastKnownFileType = text.json; path = CoachSchedule.json; sourceTree = "<group>"; };
		5BCA3C45246C6C7A00BAD343 /* TraineeSchedule.json */ = {isa = PBXFileReference; lastKnownFileType = text.json; path = TraineeSchedule.json; sourceTree = "<group>"; };
		5BCA3C48246C6EEE00BAD343 /* AbstractFactory.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AbstractFactory.swift; sourceTree = "<group>"; };
		5BCA3C4A246C714F00BAD343 /* ScheduleFactory.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ScheduleFactory.swift; sourceTree = "<group>"; };
		5BCA3C4D246C765E00BAD343 /* ActivityModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ActivityModel.swift; sourceTree = "<group>"; };
		5BCA3C4F246C7B8600BAD343 /* PersonalProgramBuilder.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PersonalProgramBuilder.swift; sourceTree = "<group>"; };
		5BCA3C56246C7DE300BAD343 /* PersonalProgramDirector.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = PersonalProgramDirector.swift; sourceTree = "<group>"; };
		5BCA3C58246C81C600BAD343 /* SimplePersonalProgram.json */ = {isa = PBXFileReference; lastKnownFileType = text.json; path = SimplePersonalProgram.json; sourceTree = "<group>"; };
		5BCA3C5C246C820700BAD343 /* FullPersonalProgram.json */ = {isa = PBXFileReference; lastKnownFileType = text.json; path = FullPersonalProgram.json; sourceTree = "<group>"; };
		5BCEF017247A96E500D6923C /* ThirdPersonalProgram.json */ = {isa = PBXFileReference; lastKnownFileType = text.json; path = ThirdPersonalProgram.json; sourceTree = "<group>"; };
		5BCEF01A247AA03900D6923C /* PPMemento.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PPMemento.swift; sourceTree = "<group>"; };
		5BCEF01C247AB70000D6923C /* MembershipViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MembershipViewController.swift; sourceTree = "<group>"; };
		5BCEF01E247ABA2D00D6923C /* AddStrategy.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AddStrategy.swift; sourceTree = "<group>"; };
		C9A83E24B5EB6CE8EC0590F3 /* Pods_Pattern.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_Pattern.framework; sourceTree = BUILT_PRODUCTS_DIR; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		5BCA3C22246C5BF100BAD343 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				4C92D3EC6482E34A287D1D60 /* Pods_Pattern.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		3C315C9EC75A7FE34834B7BA /* Pods */ = {
			isa = PBXGroup;
			children = (
				3E0B250ACEB1452152DF54E4 /* Pods-Pattern.debug.xcconfig */,
				223E85222BBB4DF2C768BB1C /* Pods-Pattern.release.xcconfig */,
			);
			path = Pods;
			sourceTree = "<group>";
		};
		5B259807247C48090051E2E4 /* Command */ = {
			isa = PBXGroup;
			children = (
				5B259805247C48020051E2E4 /* BookInOneClickCommand.swift */,
			);
			path = Command;
			sourceTree = "<group>";
		};
		5B259808247C490E0051E2E4 /* Cells */ = {
			isa = PBXGroup;
			children = (
				5B900A4F246DDE9000B7238A /* ScheduleItemTableViewCell.swift */,
				5B900A4D246DDE3000B7238A /* ScheduleItemTableViewCell.xib */,
				5B900A53246DE61400B7238A /* PersonalProgramTableViewCell.swift */,
				5B900A51246DE56F00B7238A /* PersonalProgramTableViewCell.xib */,
			);
			path = Cells;
			sourceTree = "<group>";
		};
		5B259809247C53670051E2E4 /* Observer */ = {
			isa = PBXGroup;
			children = (
				5B25980A247C537C0051E2E4 /* BookObserver.swift */,
			);
			path = Observer;
			sourceTree = "<group>";
		};
		5B774069246DC2D20080F076 /* Facade */ = {
			isa = PBXGroup;
			children = (
				5B77406A246DC2D20080F076 /* ImageFilterFacade.swift */,
			);
			path = Facade;
			sourceTree = "<group>";
		};
		5B774072246DCBD20080F076 /* Decorator */ = {
			isa = PBXGroup;
			children = (
				5B774070246DCBCC0080F076 /* ImageDecorator.swift */,
			);
			path = Decorator;
			sourceTree = "<group>";
		};
		5B900A4A246DD6E100B7238A /* Composite */ = {
			isa = PBXGroup;
			children = (
				5B900A48246DD6DC00B7238A /* Composite.swift */,
			);
			path = Composite;
			sourceTree = "<group>";
		};
		5BCA3C1C246C5BF100BAD343 = {
			isa = PBXGroup;
			children = (
				5BCA3C27246C5BF100BAD343 /* Pattern */,
				5BCA3C26246C5BF100BAD343 /* Products */,
				3C315C9EC75A7FE34834B7BA /* Pods */,
				AE712CE93A90C64932D01BBF /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		5BCA3C26246C5BF100BAD343 /* Products */ = {
			isa = PBXGroup;
			children = (
				5BCA3C25246C5BF100BAD343 /* Pattern.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		5BCA3C27246C5BF100BAD343 /* Pattern */ = {
			isa = PBXGroup;
			children = (
				5BCA3C28246C5BF100BAD343 /* AppDelegate.swift */,
				5BCA3C2A246C5BF100BAD343 /* SceneDelegate.swift */,
				5BCA3C42246C68B500BAD343 /* UserFlow */,
				5BCA3C47246C6C8F00BAD343 /* Models */,
				5BCA3C43246C68C100BAD343 /* Helpers */,
				5BCA3C44246C68D500BAD343 /* Json */,
				5BCA3C2E246C5BF100BAD343 /* Main.storyboard */,
				5BCA3C31246C5BF500BAD343 /* Assets.xcassets */,
				5BCA3C33246C5BF500BAD343 /* LaunchScreen.storyboard */,
				5BCA3C36246C5BF500BAD343 /* Info.plist */,
			);
			path = Pattern;
			sourceTree = "<group>";
		};
		5BCA3C42246C68B500BAD343 /* UserFlow */ = {
			isa = PBXGroup;
			children = (
				5BCA3C2C246C5BF100BAD343 /* ScheduleViewController.swift */,
				5B900A4B246DDCA300B7238A /* PersonalProgramViewController.swift */,
				5BCEF01C247AB70000D6923C /* MembershipViewController.swift */,
				5B259808247C490E0051E2E4 /* Cells */,
			);
			path = UserFlow;
			sourceTree = "<group>";
		};
		5BCA3C43246C68C100BAD343 /* Helpers */ = {
			isa = PBXGroup;
			children = (
				5B259809247C53670051E2E4 /* Observer */,
				5B259807247C48090051E2E4 /* Command */,
				5BCEF020247ABA3400D6923C /* Strategy */,
				5BCEF019247A9FFF00D6923C /* Memento */,
				5B900A4A246DD6E100B7238A /* Composite */,
				5B774069246DC2D20080F076 /* Facade */,
				5B774072246DCBD20080F076 /* Decorator */,
				5BCA3C51246C7C8100BAD343 /* Singleton&Serialization */,
				5BCA3C52246C7C8B00BAD343 /* AbstractFactory */,
				5BCA3C53246C7C9B00BAD343 /* Builder */,
			);
			path = Helpers;
			sourceTree = "<group>";
		};
		5BCA3C44246C68D500BAD343 /* Json */ = {
			isa = PBXGroup;
			children = (
				5BCA3C40246C66F000BAD343 /* CoachSchedule.json */,
				5BCA3C45246C6C7A00BAD343 /* TraineeSchedule.json */,
				5BCA3C58246C81C600BAD343 /* SimplePersonalProgram.json */,
				5BCA3C5C246C820700BAD343 /* FullPersonalProgram.json */,
				5BCEF017247A96E500D6923C /* ThirdPersonalProgram.json */,
			);
			path = Json;
			sourceTree = "<group>";
		};
		5BCA3C47246C6C8F00BAD343 /* Models */ = {
			isa = PBXGroup;
			children = (
				5BCA3C3E246C640300BAD343 /* ScheduleModel.swift */,
				5B53BEA0247ABAE3000C1B9A /* MembershipModel.swift */,
				5BCA3C4D246C765E00BAD343 /* ActivityModel.swift */,
				5B77406C246DC2E90080F076 /* Availability.swift */,
				5B77406D246DC2E90080F076 /* WorkoutBooker.swift */,
			);
			path = Models;
			sourceTree = "<group>";
		};
		5BCA3C51246C7C8100BAD343 /* Singleton&Serialization */ = {
			isa = PBXGroup;
			children = (
				5BCA3C3C246C600A00BAD343 /* Server.swift */,
			);
			path = "Singleton&Serialization";
			sourceTree = "<group>";
		};
		5BCA3C52246C7C8B00BAD343 /* AbstractFactory */ = {
			isa = PBXGroup;
			children = (
				5BCA3C48246C6EEE00BAD343 /* AbstractFactory.swift */,
				5BCA3C4A246C714F00BAD343 /* ScheduleFactory.swift */,
			);
			path = AbstractFactory;
			sourceTree = "<group>";
		};
		5BCA3C53246C7C9B00BAD343 /* Builder */ = {
			isa = PBXGroup;
			children = (
				5BCA3C4F246C7B8600BAD343 /* PersonalProgramBuilder.swift */,
				5BCA3C56246C7DE300BAD343 /* PersonalProgramDirector.swift */,
			);
			path = Builder;
			sourceTree = "<group>";
		};
		5BCEF019247A9FFF00D6923C /* Memento */ = {
			isa = PBXGroup;
			children = (
				5BCEF01A247AA03900D6923C /* PPMemento.swift */,
			);
			path = Memento;
			sourceTree = "<group>";
		};
		5BCEF020247ABA3400D6923C /* Strategy */ = {
			isa = PBXGroup;
			children = (
				5BCEF01E247ABA2D00D6923C /* AddStrategy.swift */,
			);
			path = Strategy;
			sourceTree = "<group>";
		};
		AE712CE93A90C64932D01BBF /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				C9A83E24B5EB6CE8EC0590F3 /* Pods_Pattern.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		5BCA3C24246C5BF100BAD343 /* Pattern */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 5BCA3C39246C5BF500BAD343 /* Build configuration list for PBXNativeTarget "Pattern" */;
			buildPhases = (
				AC4CDBE30D02826CBC79FDFE /* [CP] Check Pods Manifest.lock */,
				5BCA3C21246C5BF100BAD343 /* Sources */,
				5BCA3C22246C5BF100BAD343 /* Frameworks */,
				5BCA3C23246C5BF100BAD343 /* Resources */,
				06AE9DB7CC6D21031074E794 /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = Pattern;
			productName = Pattern;
			productReference = 5BCA3C25246C5BF100BAD343 /* Pattern.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		5BCA3C1D246C5BF100BAD343 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1140;
				LastUpgradeCheck = 1140;
				ORGANIZATIONNAME = MartinaRogach;
				TargetAttributes = {
					5BCA3C24246C5BF100BAD343 = {
						CreatedOnToolsVersion = 11.4;
					};
				};
			};
			buildConfigurationList = 5BCA3C20246C5BF100BAD343 /* Build configuration list for PBXProject "Pattern" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 5BCA3C1C246C5BF100BAD343;
			productRefGroup = 5BCA3C26246C5BF100BAD343 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				5BCA3C24246C5BF100BAD343 /* Pattern */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		5BCA3C23246C5BF100BAD343 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5BCA3C5D246C820700BAD343 /* FullPersonalProgram.json in Resources */,
				5BCA3C4C246C742500BAD343 /* CoachSchedule.json in Resources */,
				5BCA3C35246C5BF500BAD343 /* LaunchScreen.storyboard in Resources */,
				5BCA3C46246C6C7A00BAD343 /* TraineeSchedule.json in Resources */,
				5BCEF018247A96E500D6923C /* ThirdPersonalProgram.json in Resources */,
				5BCA3C32246C5BF500BAD343 /* Assets.xcassets in Resources */,
				5B900A4E246DDE3000B7238A /* ScheduleItemTableViewCell.xib in Resources */,
				5BCA3C59246C81C600BAD343 /* SimplePersonalProgram.json in Resources */,
				5B900A52246DE56F00B7238A /* PersonalProgramTableViewCell.xib in Resources */,
				5BCA3C30246C5BF100BAD343 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		06AE9DB7CC6D21031074E794 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Pattern/Pods-Pattern-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Pattern/Pods-Pattern-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-Pattern/Pods-Pattern-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
		AC4CDBE30D02826CBC79FDFE /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-Pattern-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		5BCA3C21246C5BF100BAD343 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5B900A54246DE61400B7238A /* PersonalProgramTableViewCell.swift in Sources */,
				5BCA3C3D246C600A00BAD343 /* Server.swift in Sources */,
				5B774071246DCBCC0080F076 /* ImageDecorator.swift in Sources */,
				5BCEF01B247AA03900D6923C /* PPMemento.swift in Sources */,
				5BCA3C57246C7DE300BAD343 /* PersonalProgramDirector.swift in Sources */,
				5B77406E246DC2E90080F076 /* Availability.swift in Sources */,
				5BCA3C2D246C5BF100BAD343 /* ScheduleViewController.swift in Sources */,
				5BCA3C4E246C765E00BAD343 /* ActivityModel.swift in Sources */,
				5B53BEA1247ABAE3000C1B9A /* MembershipModel.swift in Sources */,
				5BCEF01F247ABA2D00D6923C /* AddStrategy.swift in Sources */,
				5BCA3C3F246C640300BAD343 /* ScheduleModel.swift in Sources */,
				5B25980B247C537C0051E2E4 /* BookObserver.swift in Sources */,
				5B77406B246DC2D20080F076 /* ImageFilterFacade.swift in Sources */,
				5BCA3C41246C66F000BAD343 /* CoachSchedule.json in Sources */,
				5BCA3C4B246C714F00BAD343 /* ScheduleFactory.swift in Sources */,
				5B77406F246DC2E90080F076 /* WorkoutBooker.swift in Sources */,
				5BCA3C29246C5BF100BAD343 /* AppDelegate.swift in Sources */,
				5BCA3C2B246C5BF100BAD343 /* SceneDelegate.swift in Sources */,
				5B900A50246DDE9000B7238A /* ScheduleItemTableViewCell.swift in Sources */,
				5B900A4C246DDCA300B7238A /* PersonalProgramViewController.swift in Sources */,
				5B900A49246DD6DC00B7238A /* Composite.swift in Sources */,
				5BCEF01D247AB70000D6923C /* MembershipViewController.swift in Sources */,
				5BCA3C50246C7B8600BAD343 /* PersonalProgramBuilder.swift in Sources */,
				5BCA3C49246C6EEE00BAD343 /* AbstractFactory.swift in Sources */,
				5B259806247C48020051E2E4 /* BookInOneClickCommand.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		5BCA3C2E246C5BF100BAD343 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				5BCA3C2F246C5BF100BAD343 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		5BCA3C33246C5BF500BAD343 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				5BCA3C34246C5BF500BAD343 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		5BCA3C37246C5BF500BAD343 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.4;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		5BCA3C38246C5BF500BAD343 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.4;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		5BCA3C3A246C5BF500BAD343 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 3E0B250ACEB1452152DF54E4 /* Pods-Pattern.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = Y5U96S2699;
				INFOPLIST_FILE = Pattern/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = MartinaRogach.test.Pattern;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		5BCA3C3B246C5BF500BAD343 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 223E85222BBB4DF2C768BB1C /* Pods-Pattern.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = Y5U96S2699;
				INFOPLIST_FILE = Pattern/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = MartinaRogach.test.Pattern;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		5BCA3C20246C5BF100BAD343 /* Build configuration list for PBXProject "Pattern" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				5BCA3C37246C5BF500BAD343 /* Debug */,
				5BCA3C38246C5BF500BAD343 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		5BCA3C39246C5BF500BAD343 /* Build configuration list for PBXNativeTarget "Pattern" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				5BCA3C3A246C5BF500BAD343 /* Debug */,
				5BCA3C3B246C5BF500BAD343 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 5BCA3C1D246C5BF100BAD343 /* Project object */;
}
